Index: lang/php4/files/php.ini
===================================================================
--- lang/php4/files/php.ini	(revision 23991)
+++ lang/php4/files/php.ini	(working copy)
@@ -275,6 +275,7 @@
 ; turn it off here AT YOUR OWN RISK
 ; **You CAN safely turn this off for IIS, in fact, you MUST.**
 ; cgi.force_redirect = 1
+cgi.force_redirect = 0
 
 ; if cgi.nph is enabled it will force cgi to always sent Status: 200 with
 ; every request.
Index: lang/php4/Makefile
===================================================================
--- lang/php4/Makefile	(revision 23991)
+++ lang/php4/Makefile	(working copy)
@@ -78,7 +78,11 @@
 
 define Package/php4-mod-curl
   $(call Package/php4/Default)
+  ifneq ($(CONFIG_PACKAGE_php4-mod-curl),)
   DEPENDS:=php4 +libcurl
+  else
+  DEPENDS:=php4
+  endif
   TITLE:=cURL module
 endef
 
@@ -90,43 +94,71 @@
 
 define Package/php4-mod-gd
   $(call Package/php4/Default)
+  ifneq ($(CONFIG_PACKAGE_php4-mod-gd),)
   DEPENDS:=php4 +libgd
+  else
+  DEPENDS:=php4
+  endif
   TITLE:=GD graphics module
 endef
 
 define Package/php4-mod-gmp
   $(call Package/php4/Default)
+  ifneq ($(CONFIG_PACKAGE_php4-mod-gmp),)
   DEPENDS:=php4 +libgmp
+  else
+  DEPENDS:=php4
+  endif
   TITLE:=GMP module
 endef
 
 define Package/php4-mod-ldap
   $(call Package/php4/Default)
+  ifneq ($(CONFIG_PACKAGE_php4-mod-ldap),)
   DEPENDS:=php4 +libopenldap
+  else
+  DEPENDS:=php4
+  endif
   TITLE:=LDAP module
 endef
 
 define Package/php4-mod-mysql
   $(call Package/php4/Default)
+  ifneq ($(CONFIG_PACKAGE_php4-mod-mysql),)
   DEPENDS:=php4 +libmysqlclient
+  else
+  DEPENDS:=php4
+  endif
   TITLE:=MySQL module
 endef
 
 define Package/php4-mod-openssl
   $(call Package/php4/Default)
+  ifneq ($(CONFIG_PACKAGE_php4-mod-openssl),)
   DEPENDS:=php4 +libopenssl
+  else
+  DEPENDS:=php4
+  endif
   TITLE:=OpenSSL module
 endef
 
 define Package/php4-mod-pcre
   $(call Package/php4/Default)
+  ifneq ($(CONFIG_PACKAGE_php4-mod-pcre),)
   DEPENDS:=php4 +libpcre
+  else
+  DEPENDS:=php4
+  endif
   TITLE:=PCRE module
 endef
 
 define Package/php4-mod-pgsql
   $(call Package/php4/Default)
+  ifneq ($(CONFIG_PACKAGE_php4-mod-pgsql),)
   DEPENDS:=php4 +libpq
+  else
+  DEPENDS:=php4
+  endif
   TITLE:=PostgreSQL module
 endef
 
@@ -144,7 +176,11 @@
 
 define Package/php4-mod-xml
   $(call Package/php4/Default)
+  ifneq ($(CONFIG_PACKAGE_php4-mod-xml),)
   DEPENDS:=php4 +libexpat
+  else
+  DEPENDS:=php4
+  endif
   TITLE:=XML module
 endef
 
@@ -178,21 +214,21 @@
 	--with-zlib="$(STAGING_DIR)/usr" \
 	  --with-zlib-dir="$(STAGING_DIR)/usr" \
 
-ifneq ($(SDK),)
-  PKG_BUILD_DEPENDS:=libopenssl zlib libcurl libgd libgmp libopenldap libmysqlclient libpq libexpat
-# force PKG_CONFIGURE_{LIBS,OPTS} below when built in the SDK
-  CONFIG_PACKAGE_php4-cli:=m
-  CONFIG_PACKAGE_php4-cgi:=m
-  CONFIG_PACKAGE_php4-fastcgi:=m
-  CONFIG_PACKAGE_php4-mod-curl:=m
-  CONFIG_PACKAGE_php4-mod-gd:=m
-  CONFIG_PACKAGE_php4-mod-gmp:=m
-  CONFIG_PACKAGE_php4-mod-ldap:=m
-  CONFIG_PACKAGE_php4-mod-mysql:=m
-  CONFIG_PACKAGE_php4-mod-pcre:=m
-  CONFIG_PACKAGE_php4-mod-pgsql:=m
-  CONFIG_PACKAGE_php4-mod-xml:=m
-endif
+#ifneq ($(SDK),)
+#  PKG_BUILD_DEPENDS:=libopenssl zlib libcurl libgd libgmp libopenldap libmysqlclient libpq libexpat
+## force PKG_CONFIGURE_{LIBS,OPTS} below when built in the SDK
+#  CONFIG_PACKAGE_php4-cli:=m
+#  CONFIG_PACKAGE_php4-cgi:=m
+#  CONFIG_PACKAGE_php4-fastcgi:=m
+#  CONFIG_PACKAGE_php4-mod-curl:=m
+#  CONFIG_PACKAGE_php4-mod-gd:=m
+#  CONFIG_PACKAGE_php4-mod-gmp:=m
+#  CONFIG_PACKAGE_php4-mod-ldap:=m
+#  CONFIG_PACKAGE_php4-mod-mysql:=m
+#  CONFIG_PACKAGE_php4-mod-pcre:=m
+#  CONFIG_PACKAGE_php4-mod-pgsql:=m
+#  CONFIG_PACKAGE_php4-mod-xml:=m
+#endif
 
 ifneq ($(CONFIG_PACKAGE_php4-mod-curl),)
   PKG_CONFIGURE_OPTS+= --with-curl=shared,"$(STAGING_DIR)/usr"
Index: net/siproxd/Makefile
===================================================================
--- net/siproxd/Makefile	(revision 23991)
+++ net/siproxd/Makefile	(working copy)
@@ -8,12 +8,12 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=siproxd
-PKG_VERSION:=0.7.1
+PKG_VERSION:=0.8.0
 PKG_RELEASE:=3
 
 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
 PKG_SOURCE_URL:=@SF/siproxd
-PKG_MD5SUM:=45e5a44803181e2bf3361d562060c904
+PKG_MD5SUM:=a39bc2a06a1c9abb6118ca3482e98f3c
 
 PKG_FIXUP:=libtool
 PKG_INSTALL:=1
Index: net/quagga/Makefile
===================================================================
--- net/quagga/Makefile	(revision 23991)
+++ net/quagga/Makefile	(working copy)
@@ -171,6 +171,7 @@
 	$(INSTALL_DIR) $(1)/etc/quagga
 	chmod 0750 $(1)/etc/quagga
 	$(INSTALL_CONF) ./files/quagga.conf $(1)/etc/quagga/zebra.conf
+	chown -R $${id}.$${id} $(1)/etc/quagga
 	$(INSTALL_DIR) $(1)/etc/init.d
 	$(INSTALL_BIN) ./files/quagga $(1)/usr/sbin/quagga.init
 	$(INSTALL_BIN) ./files/quagga.init $(1)/etc/init.d/quagga
@@ -230,6 +231,7 @@
 	$(INSTALL_DIR) $(1)/etc/quagga
 	chmod 0750 $(1)/etc/quagga
 	$(INSTALL_CONF) ./files/quagga.conf $(1)/etc/quagga/bgpd.conf
+	chown -R $${id}.$${id} $(1)/etc/quagga
 endef
 
 define Package/quagga-isisd/install
@@ -238,6 +240,7 @@
 	$(INSTALL_DIR) $(1)/etc/quagga
 	chmod 0750 $(1)/etc/quagga
 	$(INSTALL_CONF) ./files/quagga.conf $(1)/etc/quagga/isisd.conf
+	chown -R $${id}.$${id} $(1)/etc/quagga
 endef
 
 define Package/quagga-ospfd/install
@@ -246,6 +249,7 @@
 	$(INSTALL_DIR) $(1)/etc/quagga
 	chmod 0750 $(1)/etc/quagga
 	$(INSTALL_CONF) ./files/quagga.conf $(1)/etc/quagga/ospfd.conf
+	chown -R $${id}.$${id} $(1)/etc/quagga
 endef
 
 define Package/quagga-ospf6d/install
@@ -254,6 +258,7 @@
 	$(INSTALL_DIR) $(1)/etc/quagga
 	chmod 0750 $(1)/etc/quagga
 	$(INSTALL_CONF) ./files/quagga.conf $(1)/etc/quagga/ospf6d.conf
+	chown -R $${id}.$${id} $(1)/etc/quagga
 endef
 
 define Package/quagga-ripd/install
@@ -262,6 +267,7 @@
 	$(INSTALL_DIR) $(1)/etc/quagga
 	chmod 0750 $(1)/etc/quagga
 	$(INSTALL_CONF) ./files/quagga.conf $(1)/etc/quagga/ripd.conf
+	chown -R $${id}.$${id} $(1)/etc/quagga
 endef
 
 define Package/quagga-ripngd/install
@@ -270,6 +276,7 @@
 	$(INSTALL_DIR) $(1)/etc/quagga
 	chmod 0750 $(1)/etc/quagga
 	$(INSTALL_CONF) ./files/quagga.conf $(1)/etc/quagga/ripngd.conf
+	chown -R $${id}.$${id} $(1)/etc/quagga
 endef
 
 define Package/quagga-vtysh/install
